JMXAccessorGetTask (Apache Tomcat 9.0.107 API Documentation)
Description: declaration: package: org.apache.catalina.ant.jmx, class: JMXAccessorGetTask

# Class JMXAccessorGetTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.catalina.ant.BaseRedirectorHelperTask
org.apache.catalina.ant.jmx.JMXAccessorTask
org.apache.catalina.ant.jmx.JMXAccessorGetTask

All Implemented Interfaces:
  `Cloneable`

public class JMXAccessorGetTask extends JMXAccessorTask
Access JMX JSR 160 MBeans Server.

- Get Mbeans attributes
- Show Get result as Ant console log
- Bind Get result as Ant properties

Examples:
Get an Mbean IDataSender attribute nrOfRequests and create a new ant property IDataSender.9025.nrOfRequests

       <jmx:get
               ref="jmx.server"
               name="Catalina:type=IDataSender,host=localhost,senderAddress=192.168.1.2,senderPort=9025"
               attribute="nrOfRequests"
               resultproperty="IDataSender.9025.nrOfRequests"
               echo="false">
           />

First call to a remote MBeanserver save the JMXConnection a referenz jmx.server

These tasks require Ant 1.6 or later interface.

Since:
  5.5.10
Author:
  Peter Rossbach

- ## Field Summary

  ### Fields inherited from class org.apache.catalina.ant.jmx.JMXAccessorTask

  `JMX_SERVICE_PREFIX, JMX_SERVICE_SUFFIX`

  ### Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

  `alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JMXAccessorGetTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAttribute()`
  `String`
  `jmxExecute(MBeanServerConnection jmxServerConnection)`
  Execute the specified command, based on the configured properties.
  `protected String`
  `jmxGet(MBeanServerConnection jmxServerConnection, String name)`
  Get property value.
  `void`
  `setAttribute(String attribute)`

  ### Methods inherited from class org.apache.catalina.ant.jmx.JMXAccessorTask

  `accessJMXConnection, convertStringToType, createJMXConnection, createProperty, createProperty, echoResult, execute, getDelimiter, getHost, getIf, getJMXConnection, getName, getPassword, getPort, getProperty, getRef, getResultproperty, getUnless, getUrl, getUsername, isEcho, isSeparatearrayresults, isUseRef, setDelimiter, setEcho, setHost, setIf, setName, setPassword, setPort, setProperty, setRef, setResultproperty, setSeparatearrayresults, setUnless, setUrl, setUsername, testIfCondition, testUnlessCondition`

  ### Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

  `addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JMXAccessorGetTask

    public JMXAccessorGetTask()

- ## Method Details

  - ### getAttribute

    public String getAttribute()
    Returns:
      Returns the attribute.

  - ### setAttribute

    public void setAttribute(String attribute)
    Parameters:
      `attribute` - The attribute to set.

  - ### jmxExecute

    public String jmxExecute(MBeanServerConnection jmxServerConnection) throws Exception
    Description copied from class: `JMXAccessorTask`
    Execute the specified command, based on the configured properties. The input stream will be closed upon completion of this task, whether it was executed successfully or not.
    Overrides:
      `jmxExecute` in class `JMXAccessorTask`
    Parameters:
      `jmxServerConnection` - The JMX connection that should be used
    Returns:
      An error message string in some situations
    Throws:
      `Exception` - if an error occurs

  - ### jmxGet

    protected String jmxGet(MBeanServerConnection jmxServerConnection, String name) throws Exception
    Get property value.
    Parameters:
      `jmxServerConnection` - Connection to the JMX server
      `name` - The MBean name
    Returns:
      The error message if any
    Throws:
      `Exception` - An error occurred